Ruby: OnigEncodingTypeST Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
OnigEncodingTypeST Struct Reference

`#include <onigmo.h>`

## Data Fields
int(* | precise_mbc_enc_len )(const OnigUChar *p, const OnigUChar *e, const struct OnigEncodingTypeST *enc)
const char * | name
int | max_enc_len
int | min_enc_len
int(* | is_mbc_newline )(const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)
OnigCodePoint(* | mbc_to_code )(const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)
int(* | code_to_mbclen )(OnigCodePoint code, const struct OnigEncodingTypeST *enc)
int(* | code_to_mbc )(OnigCodePoint code, OnigUChar *buf, const struct OnigEncodingTypeST *enc)
int(* | mbc_case_fold )(OnigCaseFoldType flag, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, const struct OnigEncodingTypeST *enc)
int(* | apply_all_case_fold )(OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, const struct OnigEncodingTypeST *enc)
int(* | get_case_fold_codes_by_str )(OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem acs[], const struct OnigEncodingTypeST *enc)
int(* | property_name_to_ctype )(const struct OnigEncodingTypeST *enc, const OnigUChar *p, const OnigUChar *end)
int(* | is_code_ctype )(OnigCodePoint code, OnigCtype ctype, const struct OnigEncodingTypeST *enc)
int(* | get_ctype_code_range )(OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], const struct OnigEncodingTypeST *enc)
OnigUChar *(* | left_adjust_char_head )(const OnigUChar *start, const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)
int(* | is_allowed_reverse_match )(const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)
int(* | case_map )(OnigCaseFoldType *flagP, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, OnigUChar *to_end, const struct OnigEncodingTypeST *enc)
int | ruby_encoding_index
unsigned int | flags

## Detailed Description

Definition at line 160 of file onigmo.h.

## Field Documentation

## ◆ apply_all_case_fold

int(* OnigEncodingTypeST::apply_all_case_fold) (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, const struct OnigEncodingTypeST *enc)

Definition at line 170 of file onigmo.h.

## ◆ case_map

int(* OnigEncodingTypeST::case_map) (OnigCaseFoldType *flagP, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, OnigUChar *to_end, const struct OnigEncodingTypeST *enc)

Definition at line 177 of file onigmo.h.

## ◆ code_to_mbc

int(* OnigEncodingTypeST::code_to_mbc) (OnigCodePoint code, OnigUChar *buf, const struct OnigEncodingTypeST *enc)

Definition at line 168 of file onigmo.h.

## ◆ code_to_mbclen

int(* OnigEncodingTypeST::code_to_mbclen) (OnigCodePoint code, const struct OnigEncodingTypeST *enc)

Definition at line 167 of file onigmo.h.

## ◆ flags

unsigned int OnigEncodingTypeST::flags

Definition at line 179 of file onigmo.h.

## ◆ get_case_fold_codes_by_str

int(* OnigEncodingTypeST::get_case_fold_codes_by_str) (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem acs[], const struct OnigEncodingTypeST *enc)

Definition at line 171 of file onigmo.h.

## ◆ get_ctype_code_range

int(* OnigEncodingTypeST::get_ctype_code_range) (OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], const struct OnigEncodingTypeST *enc)

Definition at line 174 of file onigmo.h.

## ◆ is_allowed_reverse_match

int(* OnigEncodingTypeST::is_allowed_reverse_match) (const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)

Definition at line 176 of file onigmo.h.

## ◆ is_code_ctype

int(* OnigEncodingTypeST::is_code_ctype) (OnigCodePoint code, OnigCtype ctype, const struct OnigEncodingTypeST *enc)

Definition at line 173 of file onigmo.h.

## ◆ is_mbc_newline

int(* OnigEncodingTypeST::is_mbc_newline) (const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)

Definition at line 165 of file onigmo.h.

## ◆ left_adjust_char_head

OnigUChar *(* OnigEncodingTypeST::left_adjust_char_head) (const OnigUChar *start, const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)

Definition at line 175 of file onigmo.h.

## ◆ max_enc_len

int OnigEncodingTypeST::max_enc_len

Definition at line 163 of file onigmo.h.

## ◆ mbc_case_fold

int(* OnigEncodingTypeST::mbc_case_fold) (OnigCaseFoldType flag, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, const struct OnigEncodingTypeST *enc)

Definition at line 169 of file onigmo.h.

## ◆ mbc_to_code

OnigCodePoint(* OnigEncodingTypeST::mbc_to_code) (const OnigUChar *p, const OnigUChar *end, const struct OnigEncodingTypeST *enc)

Definition at line 166 of file onigmo.h.

## ◆ min_enc_len

int OnigEncodingTypeST::min_enc_len

Definition at line 164 of file onigmo.h.

## ◆ name

const char* OnigEncodingTypeST::name

Definition at line 162 of file onigmo.h.

Referenced by rb_str_dump().

## ◆ precise_mbc_enc_len

int(* OnigEncodingTypeST::precise_mbc_enc_len) (const OnigUChar *p, const OnigUChar *e, const struct OnigEncodingTypeST *enc)

Definition at line 161 of file onigmo.h.

## ◆ property_name_to_ctype

int(* OnigEncodingTypeST::property_name_to_ctype) (const struct OnigEncodingTypeST *enc, const OnigUChar *p, const OnigUChar *end)

Definition at line 172 of file onigmo.h.

## ◆ ruby_encoding_index

int OnigEncodingTypeST::ruby_encoding_index

Definition at line 178 of file onigmo.h.

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h